Page MenuHomePhabricator

libraryupgrader should ignore canaries extensions on regular extension run
Closed, ResolvedPublic

Description

On the last run of libraryupgrader the repo mediawiki/extensions/MassMessage gets two patch sets send.

The first one from the canaries run and the second from regular extension run, because the first patch set was not merged at that time.

Would be nice to avoid this small nitpick.

https://gerrit.wikimedia.org/r/#/c/426144/
https://gerrit.wikimedia.org/r/#/c/426422/

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2018, 9:11 PM
Vvjjkkii renamed this task from libraryupgrader should ignore canaries extensions on regular extension run to ceeaaaaaaa.Jul 1 2018, 1:14 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
AfroThundr3007730 renamed this task from ceeaaaaaaa to libraryupgrader should ignore canaries extensions on regular extension run.Jul 1 2018, 5:54 AM
AfroThundr3007730 raised the priority of this task from High to Needs Triage.
AfroThundr3007730 updated the task description. (Show Details)
AfroThundr3007730 added a subscriber: Aklapper.

Change 448984 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[labs/libraryupgrader@master] Skip canaries in 'extensions' run

https://gerrit.wikimedia.org/r/448984

Change 448984 merged by jenkins-bot:
[labs/libraryupgrader@master] Skip canaries in 'extensions' run

https://gerrit.wikimedia.org/r/448984

Legoktm closed this task as Resolved.Jul 28 2018, 9:56 PM
Legoktm claimed this task.